package com.fzm.mall.server.admin.opration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.opration.entity.dto.BannerDTO;
import com.fzm.mall.server.admin.opration.entity.dto.BannerSaveDTO;
import com.fzm.mall.server.admin.opration.entity.dto.BannerUpdateDTO;
import com.fzm.mall.server.admin.opration.model.Banner;

import java.util.List;

/**
 * <p>
 * 运营中心-banner 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-22
 */
public interface IBannerService extends IService<Banner> {

    void save(BannerSaveDTO bannerSaveDTO);

    void update(BannerUpdateDTO bannerUpdateDTO);

    void delete(String operationBannerId, String merchantId);

    BannerDTO read(String operationBannerId, String merchantId);

    List<BannerDTO> list(String merchantId);
}
